Package ru.bitel.bgbilling.modules.cerbercrypt.server.task

# Class Calculator

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.TaskBase
ru.bitel.bgbilling.modules.cerbercrypt.server.task.Calculator

public class Calculator extends ru.bitel.bgbilling.kernel.task.server.TaskBase
Класс начисляет наработку за работу клиентов Начисление может быть запущено только за определенный месяц

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `defaultDescription, error, moduleId, setup, taskId, taskSetup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Calculator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final ServiceCostCache`
  `calculate(ConnectionSet connectionSet, List<CardPacket> cardPacketList, boolean preCalc)`
  Считаем...
  `protected void`
  `executeTask()`
  `String`
  `getDescription()`
  `protected boolean`
  `initTask()`
  `ServiceCostCache`
  `preCalculate(ConnectionSet connectionSet)`
  `void`
  `setCalculateLockedCardpackets()`
  Установка в рантайме "обсчитывать и заблокированные картпакеты тоже".
  `void`
  `setCalculateSuspendCardpackets()`
  Установка в рантайме "обсчитывать и приостановленные картпакеты тоже".
  `void`
  `setCids(String value)`
  `void`
  `setOneDayMode()`
  Устанавливает режим счёта по одному дню, для обсчёта одного дня указанного (равным getOperatingTime).
  `void`
  `setOneMonthMode()`
  Устанавливает режим счёта по одному месяцу, без обрезания по now, можно обсчитать месяц текущий и будущий целиком (тот что включает getOperatingTime).
  `void`
  `setUsercardIds(List<Integer> usercardIds)`
  `List<TaskParameter>`
  `taskParameters()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `getError, getFinishTime, getModuleId, getOperatingTime, getPriority, getStartTime, getTaskSetup, getTaskStatus, getWorkingTime, initModuleId, initTask, putMyselfIntoTable, removeMyselfFromTable, run, runLocal, setExecutingTime, setModuleId, setPriority, startTask, to`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Calculator

    public Calculator()

- ## Method Details

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### setCids

    public void setCids(String value)

  - ### setUsercardIds

    public void setUsercardIds(List<Integer> usercardIds)

  - ### setOneDayMode

    public void setOneDayMode()
    Устанавливает режим счёта по одному дню, для обсчёта одного дня указанного (равным getOperatingTime). Полезно для прекалькуляции. Также не отнимается час от текущего (в калькуляторе это делается чтобы обсчитать предыдущий).

  - ### setOneMonthMode

    public void setOneMonthMode()
    Устанавливает режим счёта по одному месяцу, без обрезания по now, можно обсчитать месяц текущий и будущий целиком (тот что включает getOperatingTime). Полезно для прекалькуляции. Также не отнимается час от текущего (в калькуляторе это делается чтобы обсчитать предыдущий).

  - ### setCalculateLockedCardpackets

    public void setCalculateLockedCardpackets()
    Установка в рантайме "обсчитывать и заблокированные картпакеты тоже". Полезно для прекалькуляции. Если в настройках модуля используется "calculate.locked.cardpackets", то вызов этого метода делать только после initTask().

  - ### setCalculateSuspendCardpackets

    public void setCalculateSuspendCardpackets()
    Установка в рантайме "обсчитывать и приостановленные картпакеты тоже". Полезно для прекалькуляции. Если в настройках модуля используется "calculate.suspend.cardpackets", то вызов этого метода делать только после initTask().

  - ### initTask

    protected boolean initTask()
    Specified by:
      `initTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### preCalculate

    public ServiceCostCache preCalculate(ConnectionSet connectionSet) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### calculate

    protected final ServiceCostCache calculate(ConnectionSet connectionSet, List<CardPacket> cardPacketList, boolean preCalc)
    Считаем...
    Parameters:
      `cardPacketList` -
      `con` - коннекшен
      `conSlave` - коннекшен

  - ### taskParameters

    public List<TaskParameter> taskParameters()
    Overrides:
      `taskParameters` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`